javax.jms

## Class JMSRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.jms.JMSRuntimeException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    IllegalStateRuntimeException, InvalidClientIDRuntimeException, InvalidDestinationRuntimeException, InvalidSelectorRuntimeException, JMSSecurityRuntimeException, MessageFormatRuntimeException, MessageNotWriteableRuntimeException, ResourceAllocationRuntimeException, TransactionInProgressRuntimeException, TransactionRolledBackRuntimeException

      public class JMSRuntimeException
      extends java.lang.RuntimeException

  This is the root class of all unchecked exceptions in the JMS API.

  In additional to the detailMessage and cause fields inherited from `Throwable`, this class also allows a provider-specific errorCode to be set.

  Since:
    JMS 2.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMSRuntimeException(java.lang.String detailMessage)` Constructs a `JMSRuntimeException` with the specified detail message
    `JMSRuntimeException(java.lang.String detailMessage, java.lang.String errorCode)` Constructs a `JMSRuntimeException` with the specified detail message and error code.
    `JMSRuntimeException(java.lang.String detailMessage, java.lang.String errorCode, java.lang.Throwable cause)` Constructs a `JMSRuntimeException` with the specified detail message, error code and cause

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getErrorCode()` Returns the vendor-specific error code.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JMSRuntimeException

          public JMSRuntimeException(java.lang.String detailMessage,
                                     java.lang.String errorCode)

      Constructs a `JMSRuntimeException` with the specified detail message and error code.
      Parameters:
        `detailMessage` - a description of the exception
        `errorCode` - a provider-specific error code

    - #### JMSRuntimeException

          public JMSRuntimeException(java.lang.String detailMessage)

      Constructs a `JMSRuntimeException` with the specified detail message
      Parameters:
        `detailMessage` - a description of the exception

    - #### JMSRuntimeException

          public JMSRuntimeException(java.lang.String detailMessage,
                                     java.lang.String errorCode,
                                     java.lang.Throwable cause)

      Constructs a `JMSRuntimeException` with the specified detail message, error code and cause
      Parameters:
        `detailMessage` - a description of the exception
        `errorCode` - a provider-specific error code
        `cause` - the underlying cause of this exception

  - ### Method Detail

    - #### getErrorCode

          public java.lang.String getErrorCode()

      Returns the vendor-specific error code.
      Returns:
        the provider-specific error code